%define module_name MIME-Base32-XS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt2
Summary: MIME::Base32::XS - Encoding and decoding Base32
Group: Development/Perl
License: perl
URL: https://github.com/lucas1/MIME-Base32-XS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LT/LTM/%{module_name}-%{version}.tar.gz

%description
This module provides functions to encode and decode strings into and from the
Base32 encoding specified in RFC 3548.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.02-alt2
- rebuild with perl 5.38

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 1.02-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.01-alt2
- rebuild with perl 5.34.0

* Wed May 26 2021 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- updated by package builder

* Wed May 19 2021 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.09-alt2
- rebuild with perl 5.30

* Sat Mar 07 2020 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

